// ************************************************************************
// template for ANSI C console application.
// compile with:
// g++.exe console.c -o console.exe -Wall -O2 -s -D__MINGW32__
// ************************************************************************

#include <math.h>
#include <stdio.h>
#include <stdlib.h>

// ------------------------------------------------------------------------
int main(int argc, char* argv[])
{
  if(argc < 2) {
    fprintf(stderr, "ERROR: File name missing.\n");
    return -1;
  }

  FILE* file = fopen(argv[1], "r");
  if(file == 0) {
    fprintf(stderr, "ERROR: Cannot open file '%s'.\n", argv[1]);
    return -1;
  }

  int no;
  char line[1024];

  no = 0;
  while(fgets(line, sizeof(line), file)) { // read file line by line
    no++;                                  // count line number
    printf("%2d: %s", no, line);            // print line
  }

  fclose(file);
  return 0;
}
